Subject: RE: [rohc] questions on field_scaling

From: "Finking, Robert" <[email-masked]>
Date: Wed, 12 Dec 2007 09:04:50 -0000

Hi Thomas,

> 
> My understanding of this is that global control fields persist across 
> packets

This is not what global control fields are.  Roughly speaking, if a
control field is global it means it can be referred to by any packet
format.  See http://tools.ietf.org/html/rfc4997#section-4.12.1.3

The FN itself is stateless, providing no means to persist anything
across packets. Persistence of state is all done by the underlying
framework, which the FN can reference, but does not explicitly alter.

Cheers

Raffles

_______________________________________________
Rohc mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/rohc

---

From: "Finking, Robert" <[email-masked]>
Date: Wed, 12 Dec 2007 09:11:05 -0000

PS Also worth looking at http://tools.ietf.org/html/rfc4997#section-4.2,
particularly this paragraph:

   All identifiers used in ROHC-FN have a "scope".  The scope of an
   identifier defines the parts of the specification where that
   identifier applies and from which it can be referred to.  If an
   identifier has a "global" scope, then it applies throughout the
   specification that contains it and can be referred to from anywhere
   within it.  If an identifier has a "local" scope, then it only
   applies to the encoding method in which it is defined, it cannot be
   referenced from outside the local scope of that encoding method.  If
   an identifier has a local scope, that identifier can therefore be
   used in multiple different local scopes to refer to different items.

> -----Original Message-----
> From: Thomas Lefort [mailto:[email-masked]] 
> Sent: Tuesday, December 11, 2007 4:11 PM
> To: [email-masked]
> Cc: [email-masked]
> Subject: Re: [rohc] questions on field_scaling
> 
> 
> Kristofer Sandlund wrote:
>  > this has already been discussed as part of Carl Knutssons 
> CDR  > review (see mails to this list from November). In my 
> local version  > of the profiles, ts_offset is a global 
> control field.  > We'll be submitting a new draft soon 
> containing this change and  > all other last-call comments.
> 
> Carl Knutsson wrote:
>  > 19) Maybe we should consider making ts_offset, ts_stride and
>  >    time_stride global. To be in scope for both rtp() and
>  >    rtp_base_header. Otherwise co_common must be sent after 
> initial IR
>  > sequence.
> 
> packets, and are part of the compressor and decompressor 
> context. This 
> seems necessary for the field_scaling method to succeed at 
> decompression 
> when scaling is used. However, this is only my assumption, as 
> I couldn't 
> find an explicit spec passage about this issue; what do you think ?
> 
> Please note the same mechanism is used in ROHC-TCP (RFC 4996) 
> to encode 
> seq_number_residue and ack_number_residue, so you'll probably want to 
> update it too.
> 
> -- Thomas Lefort, software engineer at ENST Bretagne
> 
>